Bug 2078442 - Searching iso crashes virtual machine manager [NEEDINFO]
Summary: Searching iso crashes virtual machine manager
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker AcceptedFreezeException
Depends On:
Blocks: F36FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-04-25 10:42 UTC by sumantro
Modified: 2022-05-06 16:05 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
awilliam: needinfo? (sumukher)


Attachments (Terms of Use)
screencast of weird crash (1.81 MB, video/webm)
2022-04-28 10:01 UTC, sumantro
no flags Details
screencast of weird crash (1.81 MB, video/webm)
2022-04-28 10:02 UTC, sumantro
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gtk issues 4510 0 None opened crash at g_utf8_collate_key_for_filename() in GtkFileDialog 2022-04-25 15:16:40 UTC

Description sumantro 2022-04-25 10:42:38 UTC
Description of problem:
Selecting iso from local fs using the search bar crashes the virt-man

Version-Release number of selected component (if applicable): virt-manager-4.0.0-1.fc36.noarch


How reproducible: Always


Steps to Reproduce:
1. Attempt to create a new VM 
2. Click Browse Local btn
3. In the search bar, type a few NUMBERS (works fine with chars but not with numerics)

Actual results:

Virtual Manager crashes


Expected results:

It should give me the exact image


Additional info:

Comment 1 sumantro 2022-04-25 10:57:51 UTC
xdg-desktop-portal-1.12.4-1.fc36.x86_64 fixes it, it's in updates-testing currently

Comment 2 sumantro 2022-04-25 11:19:02 UTC
Copied from ABRT 

{   "signal": 11
,   "executable": "/usr/bin/python3.10"
,   "stacktrace":
      [ {   "crash_thread": true
        ,   "frames":
              [ {   "address": 140114124750269
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 1576381
                ,   "function_name": "__strlen_avx2"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140113892620994
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 568002
                ,   "function_name": "g_utf8_collate_key_for_filename"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113789806464
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 1673088
                ,   "function_name": "file_system_model_set.lto_priv.0"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113789861272
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 1727896
                ,   "function_name": "_gtk_file_system_model_get_value"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113792590777
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 4457401
                ,   "function_name": "compare_name.constprop.0"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113789797838
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 1664462
                ,   "function_name": "search_sort_func.lto_priv.0"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113789842039
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 1708663
                ,   "function_name": "compare_array_element"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113892461125
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 408133
                ,   "function_name": "msort_with_tmp"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892460903
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 407911
                ,   "function_name": "msort_with_tmp"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892460903
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 407911
                ,   "function_name": "msort_with_tmp"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892460903
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 407911
                ,   "function_name": "msort_with_tmp"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892460903
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 407911
                ,   "function_name": "msort_with_tmp"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892460889
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 407897
                ,   "function_name": "msort_with_tmp"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892470564
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 417572
                ,   "function_name": "msort_r"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113789862588
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 1729212
                ,   "function_name": "gtk_file_system_model_sort.part.0"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113789864728
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 1731352
                ,   "function_name": "thaw_updates.lto_priv.0"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113789834491
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 1701115
                ,   "function_name": "search_engine_hits_added_cb.lto_priv.0"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113891587959
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 75639
                ,   "function_name": "g_cclosure_marshal_VOID__POINTERv"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113891711833
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 199513
                ,   "function_name": "g_signal_emit_valist"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113891712147
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 199827
                ,   "function_name": "g_signal_emit"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113788823887
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 690511
                ,   "function_name": "hits_added"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113891587959
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 75639
                ,   "function_name": "g_cclosure_marshal_VOID__POINTERv"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113891711833
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 199513
                ,   "function_name": "g_signal_emit_valist"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113891712147
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 199827
                ,   "function_name": "g_signal_emit"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113791995194
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 3861818
                ,   "function_name": "query_callback.lto_priv.1"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113889799338
                ,   "build_id": "a755e86c8ad421f67a49c6f87f76ba2b7471d2a2"
                ,   "build_id_offset": 728234
                ,   "function_name": "g_task_return_now"
                ,   "file_name": "/lib64/libgio-2.0.so.0"
                }
              , {   "address": 140113889799859
                ,   "build_id": "a755e86c8ad421f67a49c6f87f76ba2b7471d2a2"
                ,   "build_id_offset": 728755
                ,   "function_name": "g_task_return"
                ,   "file_name": "/lib64/libgio-2.0.so.0"
                }
              , {   "address": 140113787499373
                ,   "build_id": "c148eede9ab62a5d2a5575dd6842edd332b51578"
                ,   "build_id_offset": 541549
                ,   "function_name": "tracker_bus_statement_real_execute_async_co.isra.0"
                ,   "file_name": "/lib64/libtracker-sparql-3.0.so.0"
                }
              , {   "address": 140113889799338
                ,   "build_id": "a755e86c8ad421f67a49c6f87f76ba2b7471d2a2"
                ,   "build_id_offset": 728234
                ,   "function_name": "g_task_return_now"
                ,   "file_name": "/lib64/libgio-2.0.so.0"
                }
              , {   "address": 140113889799859
                ,   "build_id": "a755e86c8ad421f67a49c6f87f76ba2b7471d2a2"
                ,   "build_id_offset": 728755
                ,   "function_name": "g_task_return"
                ,   "file_name": "/lib64/libgio-2.0.so.0"
                }
              , {   "address": 140113787508862
                ,   "build_id": "c148eede9ab62a5d2a5575dd6842edd332b51578"
                ,   "build_id_offset": 551038
                ,   "function_name": "tracker_bus_connection_perform_query_call_co.isra.0"
                ,   "file_name": "/lib64/libtracker-sparql-3.0.so.0"
                }
              , {   "address": 140113889799338
                ,   "build_id": "a755e86c8ad421f67a49c6f87f76ba2b7471d2a2"
                ,   "build_id_offset": 728234
                ,   "function_name": "g_task_return_now"
                ,   "file_name": "/lib64/libgio-2.0.so.0"
                }
              , {   "address": 140113889799405
                ,   "build_id": "a755e86c8ad421f67a49c6f87f76ba2b7471d2a2"
                ,   "build_id_offset": 728301
                ,   "function_name": "complete_in_idle_cb"
                ,   "file_name": "/lib64/libgio-2.0.so.0"
                }
              , {   "address": 140113892385899
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 332907
                ,   "function_name": "g_idle_dispatch"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892400975
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 347983
                ,   "function_name": "g_main_context_dispatch"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892749672
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 696680
                ,   "function_name": "g_main_context_iterate.constprop.0"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892398703
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 345711
                ,   "function_name": "g_main_loop_run"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113789584114
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 1450738
                ,   "function_name": "gtk_dialog_run"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140114128807750
                ,   "build_id": "bfe3659c787e4ca7b1c367d1353ce552da06f75d"
                ,   "build_id_offset": 30534
                ,   "function_name": "ffi_call_unix64"
                ,   "file_name": "/lib64/libffi.so.8"
                }
              , {   "address": 140114128794834
                ,   "build_id": "bfe3659c787e4ca7b1c367d1353ce552da06f75d"
                ,   "build_id_offset": 17618
                ,   "function_name": "ffi_call_int.lto_priv.0"
                ,   "file_name": "/lib64/libffi.so.8"
                }
              , {   "address": 140113893648007
                ,   "build_id": "f9d6adff34e340b98241d491cb767c6bce5c5f3a"
                ,   "build_id_offset": 190087
                ,   "function_name": "pygi_invoke_c_callable"
                ,   "file_name": "/usr/lib64/python3.10/site-packages/gi/_gi.cpython-310-x86_64-linux-gnu.so"
                }
              , {   "address": 140113893642416
                ,   "build_id": "f9d6adff34e340b98241d491cb767c6bce5c5f3a"
                ,   "build_id_offset": 184496
                ,   "function_name": "_wrap_g_callable_info_invoke"
                ,   "file_name": "/usr/lib64/python3.10/site-packages/gi/_gi.cpython-310-x86_64-linux-gnu.so"
                }
              , {   "address": 140114126480476
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1201244
                ,   "function_name": "_PyObject_Call"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126407586
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1128354
                ,   "function_name": "_PyEval_EvalFrameDefault"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126391411
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1112179
                ,   "function_name": "_PyEval_Vector"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126397167
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1117935
                ,   "function_name": "_PyEval_EvalFrameDefault"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126391411
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1112179
                ,   "function_name": "_PyEval_Vector"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126479112
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1199880
                ,   "function_name": "method_vectorcall"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126427217
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1147985
                ,   "function_name": "call_function"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126400803
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1121571
                ,   "function_name": "_PyEval_EvalFrameDefault"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126391411
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1112179
                ,   "function_name": "_PyEval_Vector"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126397167
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1117935
                ,   "function_name": "_PyEval_EvalFrameDefault"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126391411
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1112179
                ,   "function_name": "_PyEval_Vector"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126479339
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1200107
                ,   "function_name": "method_vectorcall"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140113893636153
                ,   "build_id": "f9d6adff34e340b98241d491cb767c6bce5c5f3a"
                ,   "build_id_offset": 178233
                ,   "function_name": "pyg_closure_marshal"
                ,   "file_name": "/usr/lib64/python3.10/site-packages/gi/_gi.cpython-310-x86_64-linux-gnu.so"
                }
              , {   "address": 140113891593632
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 81312
                ,   "function_name": "g_closure_invoke"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113891775670
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 263350
                ,   "function_name": "signal_emit_unlocked_R.isra.0"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113893564486
                ,   "build_id": "f9d6adff34e340b98241d491cb767c6bce5c5f3a"
                ,   "build_id_offset": 106566
                ,   "function_name": "pygobject_emit"
                ,   "file_name": "/usr/lib64/python3.10/site-packages/gi/_gi.cpython-310-x86_64-linux-gnu.so"
                }
              , {   "address": 140114126503459
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1224227
                ,   "function_name": "method_vectorcall_VARARGS"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126407586
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1128354
                ,   "function_name": "_PyEval_EvalFrameDefault"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126391411
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1112179
                ,   "function_name": "_PyEval_Vector"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126397167
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1117935
                ,   "function_name": "_PyEval_EvalFrameDefault"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126391411
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1112179
                ,   "function_name": "_PyEval_Vector"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126479339
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1200107
                ,   "function_name": "method_vectorcall"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140113893659039
                ,   "build_id": "f9d6adff34e340b98241d491cb767c6bce5c5f3a"
                ,   "build_id_offset": 201119
                ,   "function_name": "pygi_signal_closure_marshal.lto_priv.0"
                ,   "file_name": "/usr/lib64/python3.10/site-packages/gi/_gi.cpython-310-x86_64-linux-gnu.so"
                }
              , {   "address": 140113891593632
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 81312
                ,   "function_name": "g_closure_invoke"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113891775670
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 263350
                ,   "function_name": "signal_emit_unlocked_R.isra.0"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113891711502
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 199182
                ,   "function_name": "g_signal_emit_valist"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113891712147
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 199827
                ,   "function_name": "g_signal_emit"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113789053712
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 920336
                ,   "function_name": "gtk_real_button_released"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113891711833
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 199513
                ,   "function_name": "g_signal_emit_valist"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113891712147
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 199827
                ,   "function_name": "g_signal_emit"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113789053095
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 919719
                ,   "function_name": "multipress_released_cb"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113788780837
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 647461
                ,   "function_name": "_gtk_marshal_VOID__INT_DOUBLE_DOUBLEv"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113891711833
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 199513
                ,   "function_name": "g_signal_emit_valist"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113891712147
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 199827
                ,   "function_name": "g_signal_emit"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113789974068
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 1840692
                ,   "function_name": "gtk_gesture_multi_press_end"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113891612598
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 100278
                ,   "function_name": "g_cclosure_marshal_VOID__BOXEDv"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113891711833
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 199513
                ,   "function_name": "g_signal_emit_valist"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113891712147
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 199827
                ,   "function_name": "g_signal_emit"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113789917355
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 1783979
                ,   "function_name": "_gtk_gesture_check_recognized.lto_priv.0"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113789955635
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 1822259
                ,   "function_name": "gtk_gesture_handle_event"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113789977312
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 1843936
                ,   "function_name": "gtk_gesture_single_handle_event"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113789684672
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 1551296
                ,   "function_name": "gtk_event_controller_handle_event"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113791749301
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 3615925
                ,   "function_name": "_gtk_widget_run_controllers.lto_priv.0"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113788774392
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 641016
                ,   "function_name": "_gtk_marshal_BOOLEAN__BOXEDv"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113891711833
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 199513
                ,   "function_name": "g_signal_emit_valist"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113891712147
                ,   "build_id": "f9129d9634aefd0a89a18de217df84871fc2f1cc"
                ,   "build_id_offset": 199827
                ,   "function_name": "g_signal_emit"
                ,   "file_name": "/lib64/libgobject-2.0.so.0"
                }
              , {   "address": 140113791813220
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 3679844
                ,   "function_name": "gtk_widget_event_internal.part.0.lto_priv.0"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113790287616
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 2154240
                ,   "function_name": "propagate_event.lto_priv.0"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113790291178
                ,   "build_id": "268edbed925b7b56e3b40e377e866a8daddb3fe9"
                ,   "build_id_offset": 2157802
                ,   "function_name": "gtk_main_do_event"
                ,   "file_name": "/lib64/libgtk-3.so.0"
                }
              , {   "address": 140113836029219
                ,   "build_id": "54c791350133f887f05f581fc7841d43e0b0d464"
                ,   "build_id_offset": 271651
                ,   "function_name": "_gdk_event_emit"
                ,   "file_name": "/lib64/libgdk-3.so.0"
                }
              , {   "address": 140113836236214
                ,   "build_id": "54c791350133f887f05f581fc7841d43e0b0d464"
                ,   "build_id_offset": 478646
                ,   "function_name": "gdk_event_source_dispatch"
                ,   "file_name": "/lib64/libgdk-3.so.0"
                }
              , {   "address": 140113892400975
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 347983
                ,   "function_name": "g_main_context_dispatch"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892749672
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 696680
                ,   "function_name": "g_main_context_iterate.constprop.0"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892391136
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 338144
                ,   "function_name": "g_main_context_iteration"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113889989245
                ,   "build_id": "a755e86c8ad421f67a49c6f87f76ba2b7471d2a2"
                ,   "build_id_offset": 918141
                ,   "function_name": "g_application_run"
                ,   "file_name": "/lib64/libgio-2.0.so.0"
                }
              , {   "address": 140114128807750
                ,   "build_id": "bfe3659c787e4ca7b1c367d1353ce552da06f75d"
                ,   "build_id_offset": 30534
                ,   "function_name": "ffi_call_unix64"
                ,   "file_name": "/lib64/libffi.so.8"
                }
              , {   "address": 140114128794834
                ,   "build_id": "bfe3659c787e4ca7b1c367d1353ce552da06f75d"
                ,   "build_id_offset": 17618
                ,   "function_name": "ffi_call_int.lto_priv.0"
                ,   "file_name": "/lib64/libffi.so.8"
                }
              , {   "address": 140113893648007
                ,   "build_id": "f9d6adff34e340b98241d491cb767c6bce5c5f3a"
                ,   "build_id_offset": 190087
                ,   "function_name": "pygi_invoke_c_callable"
                ,   "file_name": "/usr/lib64/python3.10/site-packages/gi/_gi.cpython-310-x86_64-linux-gnu.so"
                }
              , {   "address": 140113893642416
                ,   "build_id": "f9d6adff34e340b98241d491cb767c6bce5c5f3a"
                ,   "build_id_offset": 184496
                ,   "function_name": "_wrap_g_callable_info_invoke"
                ,   "file_name": "/usr/lib64/python3.10/site-packages/gi/_gi.cpython-310-x86_64-linux-gnu.so"
                }
              , {   "address": 140114126480476
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1201244
                ,   "function_name": "_PyObject_Call"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126407586
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1128354
                ,   "function_name": "_PyEval_EvalFrameDefault"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126391411
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1112179
                ,   "function_name": "_PyEval_Vector"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126397167
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1117935
                ,   "function_name": "_PyEval_EvalFrameDefault"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126391411
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1112179
                ,   "function_name": "_PyEval_Vector"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126397167
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1117935
                ,   "function_name": "_PyEval_EvalFrameDefault"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126391411
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1112179
                ,   "function_name": "_PyEval_Vector"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126396030
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1116798
                ,   "function_name": "_PyEval_EvalFrameDefault"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126391411
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1112179
                ,   "function_name": "_PyEval_Vector"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126416356
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1137124
                ,   "function_name": "_PyEval_EvalFrameDefault"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126391411
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1112179
                ,   "function_name": "_PyEval_Vector"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126900756
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1621524
                ,   "function_name": "PyEval_EvalCode"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114127100707
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1821475
                ,   "function_name": "run_eval_code_obj"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114127081530
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1802298
                ,   "function_name": "run_mod"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114125852840
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 573608
                ,   "function_name": "pyrun_file.cold"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114127058137
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1778905
                ,   "function_name": "_PyRun_SimpleFileObject"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114127057560
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1778328
                ,   "function_name": "_PyRun_AnyFileObject"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114127045692
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1766460
                ,   "function_name": "Py_RunMain"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126835227
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1555995
                ,   "function_name": "Py_BytesMain"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114123359632
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 185744
                ,   "function_name": "__libc_start_call_main"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140114123359817
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 185929
                ,   "function_name": "__libc_start_main@@GLIBC_2.34"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 94851984322709
                ,   "build_id": "3a1c3b1eada2f9bacf1097d319e73ec0cce47816"
                ,   "build_id_offset": 4245
                ,   "function_name": "_start"
                ,   "file_name": "/usr/bin/python3.10"
                } ]
        }
      , {   "frames":
              [ {   "address": 140114124263055
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 1089167
                ,   "function_name": "__poll"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140113892749533
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 696541
                ,   "function_name": "g_main_context_iterate.constprop.0"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892391136
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 338144
                ,   "function_name": "g_main_context_iteration"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113838240685
                ,   "build_id": "bbf80c3788c9b836a1ae22bd23e75712368ce187"
                ,   "build_id_offset": 29613
                ,   "function_name": "dconf_gdbus_worker_thread"
                ,   "file_name": "/usr/lib64/gio/modules/libdconfsettings.so"
                }
              , {   "address": 140113892573554
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 520562
                ,   "function_name": "g_thread_proxy"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140114123767831
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 593943
                ,   "function_name": "start_thread"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140114124314320
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 1140432
                ,   "function_name": "__clone3"
                ,   "file_name": "/lib64/libc.so.6"
                } ]
        }
      , {   "frames":
              [ {   "address": 140114124285341
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 1111453
                ,   "function_name": "syscall"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140113892730992
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 678000
                ,   "function_name": "g_cond_wait_until"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892204273
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 151281
                ,   "function_name": "g_async_queue_pop_intern_unlocked"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892584394
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 531402
                ,   "function_name": "g_thread_pool_thread_proxy.lto_priv.0"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892573554
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 520562
                ,   "function_name": "g_thread_proxy"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140114123767831
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 593943
                ,   "function_name": "start_thread"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140114124314320
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 1140432
                ,   "function_name": "__clone3"
                ,   "file_name": "/lib64/libc.so.6"
                } ]
        }
      , {   "frames":
              [ {   "address": 140114124263055
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 1089167
                ,   "function_name": "__poll"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140113892749533
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 696541
                ,   "function_name": "g_main_context_iterate.constprop.0"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892391136
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 338144
                ,   "function_name": "g_main_context_iteration"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892391217
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 338225
                ,   "function_name": "glib_worker_main"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892573554
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 520562
                ,   "function_name": "g_thread_proxy"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140114123767831
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 593943
                ,   "function_name": "start_thread"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140114124314320
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 1140432
                ,   "function_name": "__clone3"
                ,   "file_name": "/lib64/libc.so.6"
                } ]
        }
      , {   "frames":
              [ {   "address": 140114123754473
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 580585
                ,   "function_name": "__futex_abstimed_wait_common"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140114123799936
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 626048
                ,   "function_name": "__new_sem_wait_slow64.constprop.0"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140114126322116
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1042884
                ,   "function_name": "PyThread_acquire_lock_timed"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126929841
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1650609
                ,   "function_name": "acquire_timed"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126929359
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1650127
                ,   "function_name": "lock_PyThread_acquire_lock"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126450341
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1171109
                ,   "function_name": "method_vectorcall_VARARGS_KEYWORDS"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126397167
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1117935
                ,   "function_name": "_PyEval_EvalFrameDefault"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126391411
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1112179
                ,   "function_name": "_PyEval_Vector"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126397167
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1117935
                ,   "function_name": "_PyEval_EvalFrameDefault"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126391411
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1112179
                ,   "function_name": "_PyEval_Vector"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126397167
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1117935
                ,   "function_name": "_PyEval_EvalFrameDefault"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126391411
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1112179
                ,   "function_name": "_PyEval_Vector"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126479505
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1200273
                ,   "function_name": "method_vectorcall"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126407586
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1128354
                ,   "function_name": "_PyEval_EvalFrameDefault"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126391411
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1112179
                ,   "function_name": "_PyEval_Vector"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126397167
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1117935
                ,   "function_name": "_PyEval_EvalFrameDefault"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126391411
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1112179
                ,   "function_name": "_PyEval_Vector"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126397167
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1117935
                ,   "function_name": "_PyEval_EvalFrameDefault"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126391411
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1112179
                ,   "function_name": "_PyEval_Vector"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114126479505
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1200273
                ,   "function_name": "method_vectorcall"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114127235303
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1956071
                ,   "function_name": "thread_run"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114127230104
                ,   "build_id": "ef3c35d4a17006db719e137c8008e53156e99012"
                ,   "build_id_offset": 1950872
                ,   "function_name": "pythread_wrapper"
                ,   "file_name": "/lib64/libpython3.10.so.1.0"
                }
              , {   "address": 140114123767831
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 593943
                ,   "function_name": "start_thread"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140114124314320
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 1140432
                ,   "function_name": "__clone3"
                ,   "file_name": "/lib64/libc.so.6"
                } ]
        }
      , {   "frames":
              [ {   "address": 140114124263055
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 1089167
                ,   "function_name": "__poll"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140113892749533
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 696541
                ,   "function_name": "g_main_context_iterate.constprop.0"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113892398703
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 345711
                ,   "function_name": "g_main_loop_run"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140113890203194
                ,   "build_id": "a755e86c8ad421f67a49c6f87f76ba2b7471d2a2"
                ,   "build_id_offset": 1132090
                ,   "function_name": "gdbus_shared_thread_func.lto_priv.0"
                ,   "file_name": "/lib64/libgio-2.0.so.0"
                }
              , {   "address": 140113892573554
                ,   "build_id": "7fa605be8941ac0cef6c84b060b6688a8057ee4c"
                ,   "build_id_offset": 520562
                ,   "function_name": "g_thread_proxy"
                ,   "file_name": "/lib64/libglib-2.0.so.0"
                }
              , {   "address": 140114123767831
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 593943
                ,   "function_name": "start_thread"
                ,   "file_name": "/lib64/libc.so.6"
                }
              , {   "address": 140114124314320
                ,   "build_id": "6e7b96dfb83f0bdcb6a410469b82f86415e5ada3"
                ,   "build_id_offset": 1140432
                ,   "function_name": "__clone3"
                ,   "file_name": "/lib64/libc.so.6"
                } ]
        } ]
}

Comment 3 Kamil Páral 2022-04-25 11:19:43 UTC
(In reply to sumantro from comment #1)
> xdg-desktop-portal-1.12.4-1.fc36.x86_64 fixes it, it's in updates-testing
> currently

Actually, what Sumantro did was to enable updates-testing and update hundreds of packages. He's trying to pinpoint the one that fixed the crash now.

Comment 4 sumantro 2022-04-25 11:29:57 UTC
(In reply to Kamil Páral from comment #3)
> (In reply to sumantro from comment #1)
> > xdg-desktop-portal-1.12.4-1.fc36.x86_64 fixes it, it's in updates-testing
> > currently
> 
> Actually, what Sumantro did was to enable updates-testing and update
> hundreds of packages. He's trying to pinpoint the one that fixed the crash
> now.

The older portal package segfaults when the search bar is presented with a number. 
The newer 1.12.4-1 handles it perfectly well

Comment 5 Kamil Páral 2022-04-25 11:43:21 UTC
I tried to reproduce this on my local system and in a VM, but it worked fine each time.

Comment 6 Geraldo Simião 2022-04-25 14:05:59 UTC
Yes, the new one is working fine:
xdg-desktop-portal-gtk-1.12.0-5.fc36.x86_64
xdg-desktop-portal-gnome-42.0.1-4.fc36.x86_64
xdg-desktop-portal-1.12.4-1.fc36.x86_64
xdg-desktop-portal-kde-5.24.4-1.fc36.x86_64
No crashs here

Comment 7 Adam Williamson 2022-04-25 14:52:09 UTC
No, kparal means he can't reproduce the crash even with the old version.

Comment 8 Geraldo Simião 2022-04-25 14:59:13 UTC
(In reply to Kamil Páral from comment #5)
> I tried to reproduce this on my local system and in a VM, but it worked fine
> each time.

Same here, tried on a new fresh installed VM F36 Workstation (RC 1.1 iso) with the same old packages version as Sumantro and no crashs.

Comment 9 Adam Williamson 2022-04-25 15:06:13 UTC
It seems likely this is triggered somehow by the results of the search, which are of course related to what files are present on the system. Sumantro, if you can please generate the full backtrace with abrt, it'd be really helpful I think.

Comment 10 Adam Williamson 2022-04-25 15:07:02 UTC
Even without the full backtrace, the fact this runs through a function called "g_utf8_collate_key_for_filename" is a good reason to believe it's triggered by some specific file on Sumantro's system...

Comment 11 Adam Williamson 2022-04-25 15:07:49 UTC
https://gitlab.gnome.org/GNOME/gtk/-/issues/4510 may possibly be the same...

Comment 12 Geoffrey Marr 2022-04-25 18:08:55 UTC
Discussed during the 2022-04-25 blocker review meeting: [0]

The decision to classify this bug as a "RejectedBlocker (Final)" and an "AcceptedFreezeException (Final)" was made as this seems to be triggered by some specific local file or directory and doesn't seem like it happens often enough to be worth blocking on, but any crash in the file chooser is worth fixing on the live image, so FE granted.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2022-04-25/f36-blocker-review.2022-04-25-16.00.txt

Comment 13 Kamil Páral 2022-04-26 05:24:10 UTC
The update which Sumantro claims fixes it:
https://bodhi.fedoraproject.org/updates/FEDORA-2022-1ae762882c

Comment 14 Adam Williamson 2022-04-26 06:58:09 UTC
I don't really see how it possibly could. AFAICS virt-manager does not use the portal at all.

Comment 15 Kamil Páral 2022-04-26 09:12:04 UTC
Sumantro, can you please verify again that that single package reintroduces the bug if you downgrade it, and fixes the bug, if you update it? And when you're at it, can you also check if glib2 version somehow affects that?

Btw, Adam, can we somehow check if the portal is used? I think even native apps can use the portal, not just flatpak ones.

Comment 16 Kamil Páral 2022-04-26 09:15:41 UTC
(In reply to Kamil Páral from comment #15)
> Sumantro, can you please verify again that that single package reintroduces
> the bug if you downgrade it, and fixes the bug, if you update it? And when
> you're at it, can you also check if glib2 version somehow affects that?

Also, are you searching in the Recent tab in the file open dialog, or are you searching in a specific directory? If in a directory, can you post the `tree` output of that directory, so that we can see all included filenames?

Comment 17 Adam Williamson 2022-04-26 22:59:23 UTC
Native apps can use the portal, yes, but I'm pretty sure virt-manager isn't one of them. Not sure off the top of my head how to check, though...there's gotta be a way...

Comment 18 sumantro 2022-04-28 09:55:46 UTC
(In reply to Kamil Páral from comment #15)
> Sumantro, can you please verify again that that single package reintroduces
> the bug if you downgrade it, and fixes the bug, if you update it? And when
> you're at it, can you also check if glib2 version somehow affects that?


> 
> Btw, Adam, can we somehow check if the portal is used? I think even native
> apps can use the portal, not just flatpak ones.

OKAY! I ran this through like a 100 times .. its a weird problem... I got two other personal systems... i typed "712" and it didn't crash and then I typed "123" and it crashed... I am not getting the hang of this one.. 

All of this is getting fixed as soon as I am updating to the new version of portal.

Comment 19 sumantro 2022-04-28 10:01:56 UTC
Created attachment 1875611 [details]
screencast of weird crash

Comment 20 sumantro 2022-04-28 10:02:01 UTC
Created attachment 1875612 [details]
screencast of weird crash

Comment 21 sumantro 2022-04-28 10:23:50 UTC
full retrace : https://retrace.fedoraproject.org/faf/reports/407402/

Comment 22 Adam Williamson 2022-04-28 23:18:06 UTC
Well, the bug the xdg-desktop-portal update is *intended* to fix does actually look like an FE, to me. So I've nominated it as one. If folks vote for it, we can push the update stable and if that really does fix this bug, this bug will go away too.

Comment 23 Adam Williamson 2022-05-06 16:05:49 UTC
Sumantro, Matthias suggested upstream that tracker could be involved here: https://gitlab.gnome.org/GNOME/gtk/-/issues/4510#note_1446024 . Were there any updates to tracker-related packages in the update that seemed to fix things?


Note You need to log in before you can comment on or make changes to this bug.